Bug 817070 - ipa-server-install -h |less prints a couple of junk characters on the first line
ipa-server-install -h |less prints a couple of junk characters on the first line
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
All Linux
low Severity low
: rc
: ---
Assigned To: Rob Crittenden
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 11:09 EDT by David Kovalsky
Modified: 2014-06-17 20:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: ipa-3.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:58:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2012-04-27 11:09:56 EDT
# ipa-server-install -h|less

ESC[?1034hUsage: ipa-server-install [options]

Options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit

##### etc ...

The control characters are not printed into the terminal, only when one pipes the output to less or redirects to a file (via '>' operator).

I tried this with a couple of tools from the coreutils package, virt-install and a bunch of random other files, but it's only ipa-server-install that prints this. So I blame IPA :)


ipa-server-2.1.3-9.el6.x86_64
ipa-server-2.2.0-11.el6.x86_64
Comment 1 Rob Crittenden 2012-04-27 15:03:07 EDT
This is not an IPA issue, it has to do with python and terminal interaction:

http://lists.gnu.org/archive/html/bug-bash/2009-09/msg00117.html
Comment 2 Rob Crittenden 2012-04-27 15:05:32 EDT
hmm, virt-install is also python and uses optionparser...
Comment 4 Martin Kosek 2012-04-30 04:22:07 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2691
Comment 12 Scott Poore 2013-12-18 20:01:07 EST
Verified.

Version ::

ipa-server-3.3.3-5.el7.x86_64

Test Results ::

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa_bugcheck_bz817070:  ipa-server-install -h less prints a couple of junk characters on the first line
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

ipa-server-3.3.3-5.el7.x86_64
:: [   PASS   ] :: Running 'ipa-server-install -h > /tmp/tmpout.ipa_bugcheck_bz817070 2>&1' (Expected 0, got 0)
:: [   PASS   ] :: File '/tmp/tmpout.ipa_bugcheck_bz817070' should not contain '[[:cntrl:]]' 
:: [   PASS   ] :: BZ 817070 not found
Comment 14 Ludek Smid 2014-06-13 07:58:43 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.